Bienvenue sur le forum de la ZiGate !

Ici, nous échangeons sur les produits ZiGate (matériellement) et les firmware.

Pour que vous puissiez gagner du temps, je vous conseille de visiter, dans un premier temps, les forums et documentations des plugins et box domotique que vous avez choisi :

Jeedom :

Forum : https://community.jeedom.com/
Plugin ZiGate : https://github.com/Jeedom-Zigate/jeedom-plugin-zigate
Plugin Abeille : https://github.com/KiwiHC16/Abeille + http://kiwihc16.free.fr/

Domoticz :

Forum Francophonehttps://easydomoticz.com/forum/viewforum.php?f=28
Forum Anglophonehttps://www.domoticz.com/forum/viewforum.php?f=68
Développeur: @pipiche38 disponible sur keybase.io en chat

EEdomus :

Forum : https://forum.eedomus.com/

Home-assistant :

Plugin : https://github.com/doudz/homeassistant-zigate
Zigpy : https://www.home-assistant.io/integrations/zha/

Veuillez ou S’enregistrer pour créer des messages et des sujets de discussion.

Impossible de démarrer le démon suite réinstallation sous Debian 10

Bonjour,
J’ai réinstallé Jeedom V4 sur mon Odroid C2 en Debian 10 et je n’arrive pas à démarrer le démon.
Dans ma précédente installation sous Debian 9 et Jeedom V4 je n’avais pas de problème.
Mon fichier log:

[2021-01-30 07:07:40][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consécutivement
[2021-01-30 07:07:41][INFO] : Lancement démon zigate : /usr/bin/python3 /var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py --device /dev/ttyUSB0 --gpio 0 --loglevel debug --apikey GCHdviX9Uhf0BOXeVWflycRk8AKwTZvv --pid /tmp/jeedom/zigate/daemon.pid --socket /tmp/jeedom/zigate/daemon.sock --callback https://127.0.0.1:443/plugins/zigate/core/php/jeeZiGate.php --sharedata 0 --enable_led 0
[2021-01-30 07:07:42][INFO]root : Start zigated
[2021-01-30 07:07:42][INFO]root : Log level : debug
[2021-01-30 07:07:42][INFO]root : Socket : /tmp/jeedom/zigate/daemon.sock
[2021-01-30 07:07:42][INFO]root : PID file : /tmp/jeedom/zigate/daemon.pid
[2021-01-30 07:07:42][INFO]root : Apikey : GCHdviX9Uhf0BOXeVWflycRk8AKwTZvv
[2021-01-30 07:07:42][INFO]root : Device : /dev/ttyUSB0
[2021-01-30 07:07:42][INFO]root : Callback : https://127.0.0.1:443/plugins/zigate/core/php/jeeZiGate.php
[2021-01-30 07:07:42][INFO]root : Python version : 3.7.3 (default, Jul 25 2020, 13:03:44)
[GCC 8.3.0]
[2021-01-30 07:07:42][INFO]root : zigate version : 0.40.11
[2021-01-30 07:07:42][DEBUG]root : Writing PID 7045 to /tmp/jeedom/zigate/daemon.pid
[2021-01-30 07:07:42][DEBUG]root : Send to test to jeedom
[2021-01-30 07:07:42][DEBUG]root : Send to jeedom : {'action': 'test'}
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 159, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw)
File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 80, in create_connection
raise err
File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 70, in create_connection
sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 841, in _validate_conn
conn.connect()
File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 301, in connect
conn = self._new_conn()
File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 168, in _new_conn
self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0xffff90322978>: Failed to establish a new connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 398, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='127.0.0.1', port=443): Max retries exceeded with url: /plugins/zigate/core/php/jeeZiGate.php?apikey=dviX9Uhf0BOXeVWflycRk8AKwTZvv (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0xffff90322978>: Failed to establish a new connection: [Errno 111] Connection refused'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 297, in
if not jc.test():
File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 81, in test
r = self.send_now({'action': 'test'})
File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 77, in send_now
return self._request(message)
File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 64, in _request
verify=False)
File "/usr/lib/python3/dist-packages/requests/api.py", line 116, in post
return request('post', url, data=data, json=json, **kwargs)
File "/usr/lib/python3/dist-packages/requests/api.py", line 60, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='127.0.0.1', port=443): Max retries exceeded with url: /plugins/zigate/core/php/jeeZiGate.php?apikey=dviX9Uhf0BOXeVWflycRk8AKwTZvv (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0xffff90322978>: Failed to establish a new connection: [Errno 111] Connection refused'))
[2021-01-30 07:07:48][ERROR] : Impossible de lancer le démon zigate, relancer le démon en debug et vérifiez la log
[2021-01-30 10:00:03][DEBUG] : callZiGate action_onoff Array ( [0] => 95c1 [1] => 1 [2] => 1 )
[2021-01-30 10:00:03][DEBUG] : result callZiGate
[2021-01-30 10:00:03][DEBUG] : callZiGate refresh_device Array ( [0] => 95c1 [1] => [2] => 1 )
[2021-01-30 10:00:03][DEBUG] : result callZiGate
[2021-01-30 10:00:03][DEBUG] : callZiGate action_onoff Array ( [0] => 5079 [1] => 1 [2] => 1 )
[2021-01-30 10:00:03][DEBUG] : result callZiGate
[2021-01-30 10:00:03][DEBUG] : callZiGate refresh_device Array ( [0] => 5079 [1] => [2] => 1 )
[2021-01-30 10:00:03][DEBUG] : result callZiGate
[2021-01-30 10:00:08][DEBUG] : callZiGate action_onoff Array ( [0] => 95c1 [1] => 1 [2] => 1 )
[2021-01-30 10:00:08][DEBUG] : result callZiGate
[2021-01-30 10:00:08][DEBUG] : callZiGate refresh_device Array ( [0] => 95c1 [1] => [2] => 1 )
[2021-01-30 10:00:08][DEBUG] : result callZiGate
[2021-01-30 10:00:13][DEBUG] : callZiGate action_onoff Array ( [0] => 5079 [1] => 1 [2] => 1 )
[2021-01-30 10:00:13][DEBUG] : result callZiGate
[2021-01-30 10:00:13][DEBUG] : callZiGate refresh_device Array ( [0] => 5079 [1] => [2] => 1 )
[2021-01-30 10:00:13][DEBUG] : result callZiGate
[2021-01-30 10:23:33][DEBUG] : callZiGate get_version_text
[2021-01-30 10:23:33][DEBUG] : result callZiGate
[2021-01-30 10:23:33][DEBUG] : callZiGate get_libversion
[2021-01-30 10:23:33][DEBUG] : result callZiGate

Bonjour,

Il  y a clairement des problèmes de droits et de python.

Vous n'êtes pas sur le bon forum 🙁

Fred

Translate »